%define name perl-XML-Dumper
%define module	XML-Dumper
%define version	0.67
%define release	2mdk

Summary:	Perl module for dumping Perl objects from/to XML
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Distribution:	Mandrake Linux
Group:		Development/Perl
Source0:	http://www.cpan.org/authors/id/E/EI/EISEN/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires:	perl perl-XML-Parser
BuildRequires:	perl-devel perl-XML-Parser
BuildArch: 	noarch

%description
Perl module for dumping Perl objects from/to XML

Needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} -pi -e s,/usr/local/bin/perl,/usr/bin/perl, *.pl
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/

%changelog
* Mon Sep 01 2003 Franois Pons <fpons@mandrakesoft.com> 0.67-2mdk
- fixed requires on /usr/local/bin/perl.
- using %%makeinstall_std.

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.67-1mdk
- 0.67.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-6mdk
- rebuild for new auto{prov,req}

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.4-5mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires: perl-devel perl-XML-Parser

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-3mdk
- Fixed an error in changelog.

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-2mdk
- Clean up spec.
- Fixed distribution tag.
- Needed by eGrail.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk
- Newly introduced for Foomatic.

